#include "Line.h"

Line::Line(const Point& start, const std::vector<Point>& points)
	: mStartPoint(start),
	mPoints(points)
{

}

const std::vector<Point>& Line::getPoints() const
{
	return mPoints;
}

Line::Type Line::getType() const
{
	return Line::Type::LINE;
}

const Point& Line::getLocation() const
{
	return mStartPoint;
}

Bounds Line::getBounds() const
{
	double minX = mStartPoint.getX();
	double maxX = mStartPoint.getX();

	double minY = mStartPoint.getY();
	double maxY = mStartPoint.getY();

	for (const auto& point : mPoints)
	{
		if (point.getX() > maxX)
		{
			maxX = point.getX();
		}
		if (point.getX() < minX)
		{
			minX = point.getX();
		}
		if (point.getY() > maxY)
		{
			maxY = point.getX();
		}
		if (point.getY() < minY)
		{
			minY = point.getY();
		}
	}
	return { minX, maxX, minY, maxY };
}